<?php

namespace Drupal\profile_manager\Plugin\ProfileManager;

use Symfony\Component\Routing\Route;

/**
 * @ProfileManager(
 *   id = "site_section",
 *   route = "system.admin_structure",
 *   title = @Translation("Settings"),
 *   description = @Translation("Control high level site configuration settings."),
 *   weight = 11,
 * )
 */
class SiteSection extends ProfileManagerBase {

  /**
   * {@inheritdoc}
   */
  public function getTransformedRouteName(): string {
    return 'profile_manager.site_section';
  }

  /**
   * {@inheritdoc}
   */
  protected function getRoutePath(Route $route): string {
    $config = $this->getConfiguration();
    return $config['path_prefix'] . '/settings';
  }

}
